## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate glam

Name:           rust-%{crate}
Version:        0.20.5
Release:        %autorelease
Summary:        Simple and fast 3D math library for games and graphics

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/glam
Source:         %{crates_source}
# Initial patched metadata
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
# * drop unused WASM-specific wasm-bindgen-test dev-dependency
Patch0:         glam-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Simple and fast 3D math library for games and graphics.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/ARCHITECTURE.md
%doc %{crate_instdir}/ATTRIBUTION.md
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+approx-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+approx-devel %{_description}

This package contains library source intended for building other packages which
use the "approx" feature of the "%{crate}" crate.

%files       -n %{name}+approx-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytecheck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytecheck-devel %{_description}

This package contains library source intended for building other packages which
use the "bytecheck" feature of the "%{crate}" crate.

%files       -n %{name}+bytecheck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytemuck-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytemuck-devel %{_description}

This package contains library source intended for building other packages which
use the "bytemuck" feature of the "%{crate}" crate.

%files       -n %{name}+bytemuck-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cuda-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cuda-devel %{_description}

This package contains library source intended for building other packages which
use the "cuda" feature of the "%{crate}" crate.

%files       -n %{name}+cuda-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-glam-assert-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-glam-assert-devel %{_description}

This package contains library source intended for building other packages which
use the "debug-glam-assert" feature of the "%{crate}" crate.

%files       -n %{name}+debug-glam-assert-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fast-math-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fast-math-devel %{_description}

This package contains library source intended for building other packages which
use the "fast-math" feature of the "%{crate}" crate.

%files       -n %{name}+fast-math-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+glam-assert-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+glam-assert-devel %{_description}

This package contains library source intended for building other packages which
use the "glam-assert" feature of the "%{crate}" crate.

%files       -n %{name}+glam-assert-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libm-devel %{_description}

This package contains library source intended for building other packages which
use the "libm" feature of the "%{crate}" crate.

%files       -n %{name}+libm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mint-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mint-devel %{_description}

This package contains library source intended for building other packages which
use the "mint" feature of the "%{crate}" crate.

%files       -n %{name}+mint-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+num-traits-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num-traits-devel %{_description}

This package contains library source intended for building other packages which
use the "num-traits" feature of the "%{crate}" crate.

%files       -n %{name}+num-traits-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-devel %{_description}

This package contains library source intended for building other packages which
use the "rand" feature of the "%{crate}" crate.

%files       -n %{name}+rand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rkyv-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rkyv-devel %{_description}

This package contains library source intended for building other packages which
use the "rkyv" feature of the "%{crate}" crate.

%files       -n %{name}+rkyv-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+scalar-math-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+scalar-math-devel %{_description}

This package contains library source intended for building other packages which
use the "scalar-math" feature of the "%{crate}" crate.

%files       -n %{name}+scalar-math-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+transform-types-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+transform-types-devel %{_description}

This package contains library source intended for building other packages which
use the "transform-types" feature of the "%{crate}" crate.

%files       -n %{name}+transform-types-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.20.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed May 25 2022 Fabio Valentini <decathorpe@gmail.com> 0.20.5-1
- Update to version 0.20.5; Fixes RHBZ#2074040

* Fri Apr 08 2022 Rémi <remilauzier@protonmail.com> 0.20.3-1
- Update to version 0.20.3; Fixes RHBZ#2069107

* Thu Jan 27 2022 Rémi Lauzier <remilauzier@protonmail.com> 0.20.2-1
- Update to version 0.20.2; Fixes RHBZ#1998088

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.17.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Aug 04 2021 Fabio Valentini <decathorpe@gmail.com> 0.17.3-2
- Revert rand_xoshiro version downgrade

* Sun Jul 18 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.17.3-1
- Update to version 0.17.3; FixesRHBZ#1983379

* Thu Jul 15 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.17.2-1
- Update to version 0.17.2; Fixes RHBZ#1982663

* Wed Jul 07 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.17.1-3
- Really update for approx 0.5
- Fixes RHBZ#1977516

* Tue Jun 29 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.17.1-2
- Update for approx 0.5
- Fixes RHBZ#1977516

* Tue Jun 29 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.17.1-1
- Update to 0.17.1.
- Fixes RHBZ#1977252

* Fri Jun 25 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.17.0-1
- Update to 0.17.0.
- Fixes RHBZ#1976423

* Sat Jun 12 2021 Rémi Lauzier <remilauzier@protonmail.com> - 0.16.0-1
- Initial package

